# ==> /etc/systemd/system/cmogstored@.service <==
# systemd-style socket activation requires cmogstored 1.5.0 and later
# Since SIGUSR2 upgrades do not work under systemd, this service file
# allows starting two simultaneous services during upgrade time
# (e.g. cmogstored@1 cmogstored@2) with the intention that they take
# turns running in-between upgrades.  This should allow upgrading
# without downtime

[Unit]
Description = cmogstored storage server %i
Wants = cmogstored.socket
After = cmogstored.socket

[Service]
ExecStart = /usr/local/bin/cmogstored \
	    --httplisten=127.0.0.1:7500 \
	    --mgmtlisten=127.0.0.1:7501 \
	    --docroot=/var/mogdata
Sockets = cmogstored.socket
KillSignal = SIGQUIT
User = mogstored
Group = nogroup
LimitNOFILE = 10000
# some clients are slow, give them time before SIGKILL
TimeoutStopSec = 7200

[Install]
WantedBy = multi-user.target
